Incidencia #44375

Rename 'master'

Abrir Fecha: 2022-04-14 19:52 Última actualización: 2022-05-02 12:53

Informador:
Propietario:
(Ninguno)
Tipo:
Estado:
Open
Componente:
(Ninguno)
Hito:
(Ninguno)
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Ninguno
Fichero:
Ninguno

Details

We're two years late to this compared to when everyone was doing it, but I think it would make sense to rename 'master' branch at the time of branching S3_2 (#44374). So the rename does not disrupt 3.2 development but 3.3 development begins in a newly named branch.

As for the name of the branch, either "main" (consistent with many other projects) or "development", maybe shortened to "devel" or "dev", (descriptive of our use of the branch) would be ok for me.

Ticket History (3/7 Histories)

2022-04-14 19:52 Updated by: cazfi
  • New Ticket "Rename 'master'" created
2022-04-25 20:47 Updated by: alain_bkr
Comentario

I see no point in doing this.

Git init something creates a branch called master.

Don't waste energy on useless stuff, which will only cause trouble.

2022-04-25 20:52 Updated by: cazfi
Comentario

Reply To alain_bkr

Git init something creates a branch called master.

Even that git level default is about to change.

2022-04-30 06:07 Updated by: alain_bkr
Comentario

so what ? it could be named trunk or root or anything, i don't see any added value of renaming it, but only potential problems.

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

2022-04-30 12:02 Updated by: cazfi
Comentario

Reply To alain_bkr

so what ?

That's for the one, who brought the 'git default' thing up, to tell.

For the rest: Your points have been noted - not ignored - even though I have no comments to add at the moment.

2022-05-01 20:26 Updated by: cazfi
Comentario

Reply To alain_bkr

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

As for which branch to work on, the short answer is: master first. After that's done, we decide what older versions it gets backported to.

2022-05-02 12:53 Updated by: cazfi
Comentario

Reply To alain_bkr

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

Opened a ticket covering at least part of that -> #44499

Attachment File List

No attachments

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar